# typescript-declaration-webpack-plugin
Bundels typescript declaration generated by typescript loaded into one .d.ts file.

# What it does
The Plugin looks at all declaration files which the typescript loader generated and merges them into one.
Import will be sorted so that each module or package is only imported once.

# Configuration
## tsconfig.json
Add the following line to your tsconfig.json in the compiler options.
```
"declaration": true
```

## Webpack Plugin
Add the following to your webpack.config.js file.

```
const TypescriptDeclarationPlugin = require('typescript-declaration-webpack-plugin');
...
plugins: [
  new TypescriptDeclarationPlugin({
    out: 'yeti-table.d.ts'
  })
]
...
```
